Package org.apache.groovy.metaclass

## Class Realm

- java.lang.Object
- - org.apache.groovy.metaclass.Realm

-     @Incubating
      public final class Realm
      extends Object

  A Realm is the representation of a metaclass layer in a tree of realm objects.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> MetaClass<T>` | `getMetaClass​(Class<T> theClass)` |
    `static Realm` | `newRealm​(String name, Realm parent)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newRealm

          public static Realm newRealm​(String name,
                                       Realm parent)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMetaClass

          public <T> MetaClass<T> getMetaClass​(Class<T> theClass)